<template>
  <div>
    <h6>LATEST ARTICLES</h6>
    <ul class="lastest-article">
      <li v-for="(item, i) in articleLastestArr" :key="i">
        <router-link :to="{name: 'article.show', query: {item: item}}">{{item.title}}</router-link>
      </li>
    </ul>
  </div>
</template>

<script>
import { ArticleList } from '@/models/article-model'
import * as moment from 'moment'

export default {
  data () {
    return {
      articleList: null,
      articleArr: [],
      articleLastestArr: []
    }
  },
  created () {
    this.init()
  },
  methods: {
    init () {
      this.articleList = new ArticleList()
      this.articleList
        .fetch()
        .then(res => {
          this.articleArr = res

          this.articleLatstestFunc()
        })
        .catch(err => console.log(err))
    },
    articleLatstestFunc () {
      this.articleLastestArr = this.articleArr
        .sort((a, b) => moment(a.published_date) - moment(b.published_date))
        .slice(0, 10)
    }
  }
}
</script>

<style lang="scss" scoped>
.lastest-article {
  font-size: 15px;
  line-height: 22px;
  color: #000;
  padding-left: 15px;
  li {
    padding-top: 4px;
    padding-bottom: 4px;
    position: relative;
    a {
      font-size: 13px;
    }
  }
}
</style>
